Subject: U-Boot-Users Digest, Vol 12, Issue 34
From: [email-masked]
To: [email-masked]
Date: Wed, 09 May 2007 12:00:14 -0700
List-Id: Universal Boot Loader general discussion <u-boot-users.lists.sourceforge.net>

Send U-Boot-Users mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://lists.sourceforge.net/lists/listinfo/u-boot-users
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of U-Boot-Users digest..."

Today's Topics:

   1. Re: MPC832xEMDS: ttyS0 output stops mid boot (Alex Zeffertt)
   2. [PATCH] 8544ds: Fix Makefile after moving pixis to
      board/freescale. (Jon Loeliger)
   3. [PATCH] 8641hpcn: Fix Makefile after moving pixis	to
      board/freescale. (Jon Loeliger)
   4. CFI driver does not verify writes in buffered mode -	feature?
      (Detlev Zundel)
   5. Re: MPC832xEMDS: ttyS0 output stops mid boot (Alex Zeffertt)
   6. [PATCH] Add support for CPM device tree	configuration to 8560
      ADS (Andy Fleming)

----------------------------------------------------------------------

Message: 1
Date: Wed, 09 May 2007 16:59:59 +0100
From: Alex Zeffertt <[email-masked]>
Subject: Re: [U-Boot-Users] MPC832xEMDS: ttyS0 output stops mid boot
To: Alex Zeffertt <[email-masked]>
Cc: [email-masked], [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi,

For the record, I've just merged powerpc.git from kernel.org and it has started
working now!  Clearly this means it was a kernel issue rather than a bootloader
issue.

Regards,

Alex

Alex Zeffertt wrote:
> Hi,
> 
> Sorry about the cross posting, but I'm not sure which list I should send 
> to....
> 
> I'm trying to boot an up-to-date kernel on my MPC8323E-MDS-PB board, but 
> I the
> console output stops early on during the kernel boot.
> 
> I'm running the latest u-boot (git://www.denx.de/git/u-boot-mpc83xx.git) 
> with
> its default environment.  The kernel is built from Paulus' powerpc.git, 
> after
> checking out tag 2.6.21-rc5.  The dtb is build from
> arch/powerpc/boot/dts/mpc832x_mds.dts
> with the latest compiler (git://www.jdl.com/software/dtc.git).
> 
> Has anyone else been here before...?  If so I'd appreciate any help you can
> offer.
> 
> TIA,
> 
> Alex
> 
> -------------------my ttyS0 output------------------
> =>
> => printenv
> bootcmd=setenv bootargs root=/dev/nfs rw nfsroot=$serverip:$rootpath
> ip=$ipaddr:$serverip:$gatewayip:$netmask:$hostname:$netdev:off
> console=$consoledev,$baudrate $othbootargs;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr - $fdtaddr
> ramboot=setenv bootargs root=/dev/ram rw console=$consoledev,$baudrate
> $othbootargs;tftp $ramdiskaddr $ramdiskfile;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr $ramdiskaddr $fdtaddr
> nfsboot=setenv bootargs root=/dev/nfs rw nfsroot=$serverip:$rootpath
> ip=$ipaddr:$serverip:$gatewayip:$netmask:$hostname:$netdev:off
> console=$consoledev,$baudrate $othbootargs;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr - $fdtaddr
> bootdelay=6
> baudrate=115200
> loads_echo=1
> ethaddr=00:04:9f:ef:03:01
> eth1addr=00:04:9f:ef:03:02
> loadaddr=200000
> netdev=eth0
> consoledev=ttyS0
> ramdiskaddr=1000000
> ramdiskfile=ramfs.83xx
> fdtaddr=400000
> fdtfile=mpc832xemds.dtb
> stdin=serial
> stdout=serial
> stderr=serial
> ethact=FSL UEC0
> 
> Environment size: 979/8188 bytes
> => setenv ramdiskfile uRamdisk
> => setenv fdtfile mpc832x_mds.dtb
> => setenv bootfile uImage
> => setenv serverip 10.0.0.107
> => setenv ipaddr 10.0.6.65
> => run ramboot
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'uRamdisk'.
> Load address: 0x1000000
> Loading: #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         ###########################################################
> done
> Bytes transferred = 3296770 (324e02 hex)
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'uImage'.
> Load address: 0x200000
> Loading: #################################################################
>         #################################################################
>         #################################################################
>         ##########################################
> done
> Bytes transferred = 1212615 (1280c7 hex)
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'mpc832x_mds.dtb'.
> Load address: 0x400000
> Loading: ###
> done
> Bytes transferred = 12288 (3000 hex)
> ## Booting image at 00200000 ...
>   Image Name:   Linux-2.6.21-rc5
>   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>   Data Size:    1212551 Bytes =  1.2 MB
>   Load Address: 00000000
>   Entry Point:  00000000
>   Verifying Checksum ... OK
>   Uncompressing Kernel Image ... OK
> ## Loading RAMDisk Image at 01000000 ...
>   Image Name:   uboot ext2 ramdisk rootfs
>   Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
>   Data Size:    3296706 Bytes =  3.1 MB
>   Load Address: 00000000
>   Entry Point:  00000000
>   Verifying Checksum ... OK
>   Booting using flat device tree at 0x400000
>   Loading Ramdisk to 07c87000, end 07fabdc2 ... OK
> Using MPC832x MDS machine description
> Linux version 2.6.21-rc5 (ajz@zambia) (gcc version 3.4.3) #2 Thu May 3
> 16:42:54 BST 2007
> Found initrd at 0xc7c87000:0xc7fabdc2
> setup_arch: bootmem
> mpc832x_sys_setup_arch()
> Found MPC83xx PCI host bridge at 0x00000000e0008500. Firmware bus 
> number: 0->0
> arch: exit
> Zone PFN ranges:
>  DMA             0 ->    32768
>  Normal      32768 ->    32768
> early_node_map[1] active PFN ranges
>    0:        0 ->    32768
> Built 1 zonelists.  Total pages: 32512
> Kernel command line: root=/dev/ram rw console=ttyS0,115200
> IPIC (128 IRQ sources) at fddf3700
> QEIC (64 IRQ sources) at fddf2080
> PID hash table entries: 512 (order: 9, 2048 bytes)

------------------------------

Message: 2
Date: Wed, 09 May 2007 11:03:32 -0500
From: Jon Loeliger <[email-masked]>
Subject: [U-Boot-Users] [PATCH] 8544ds: Fix Makefile after moving
	pixis to	board/freescale.
To: u-boot-users <[email-masked]>
Message-ID: <1178726612.6734.9.camel@ld0161-tx32>
Content-Type: text/plain

From: Ed Swarthout <[email-masked]>

The OBJTREE != SRCTREE build scenario was broken.
This fixes it.

Signed-off-by: Ed Swarthout <[email-masked]>
Signed-off-by: Jon Loeliger <[email-masked]>
---

Andy,

Please pick this up for the 85xx custodian tree.

jdl

 board/freescale/mpc8544ds/Makefile |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/board/freescale/mpc8544ds/Makefile b/board/freescale/mpc8544ds/Makefile
index bec2168..308f707 100644
--- a/board/freescale/mpc8544ds/Makefile
+++ b/board/freescale/mpc8544ds/Makefile
@@ -24,9 +24,9 @@
 
 include $(TOPDIR)/config.mk
 
-# ifneq ($(OBJTREE),$(SRCTREE))
-# $(shell mkdir -p $(obj)./common)
-# endif
+ifneq ($(OBJTREE),$(SRCTREE))
+$(shell mkdir -p $(obj)../common)
+endif
 
 LIB	= $(obj)lib$(BOARD).a
 
-- 
1.5.0.3

------------------------------

Message: 3
Date: Wed, 09 May 2007 11:05:06 -0500
From: Jon Loeliger <[email-masked]>
Subject: [U-Boot-Users] [PATCH] 8641hpcn: Fix Makefile after moving
	pixis	to	board/freescale.
To: u-boot-users <[email-masked]>
Message-ID: <1178726706.6734.13.camel@ld0161-tx32>
Content-Type: text/plain

From: Ed Swarthout <[email-masked]>
 
The OBJTREE != SRCTREE build scenario was broken.
This fixes it.

Signed-off-by: Ed Swarthout <[email-masked]>
Signed-off-by: Jon Loeliger <[email-masked]>
---

Hey jdl,

Please pick this up for the 86xx custodian tree.

jdl

 board/mpc8641hpcn/Makefile |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/board/mpc8641hpcn/Makefile b/board/mpc8641hpcn/Makefile
index 9625211..df56b31 100644
--- a/board/mpc8641hpcn/Makefile
+++ b/board/mpc8641hpcn/Makefile
@@ -23,6 +23,10 @@
 
 include $(TOPDIR)/config.mk
 
+ifneq ($(OBJTREE),$(SRCTREE))
+$(shell mkdir -p $(obj)../freescale/common)
+endif
+
 LIB	= $(obj)lib$(BOARD).a
 
 COBJS	:= $(BOARD).o sys_eeprom.o \
-- 
1.5.0.3

------------------------------

Message: 4
Date: Wed, 09 May 2007 18:32:22 +0200
From: Detlev Zundel <[email-masked]>
Subject: [U-Boot-Users] CFI driver does not verify writes in buffered
	mode -	feature?
To: [email-masked]
Cc: Tolunay Orkun <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

Hi,

when using the CFI flash driver with CFG_FLASH_USE_BUFFER_WRITE the
"usual" verification whether the write did indeed happen correctly is
not done:

  => erase fc000000 +1
  
  . done
  Erased 1 sectors
  => mw 200000 55555555 100
  => cp.b 200000 fc000000 100
  Copy to Flash... done
  => md fc000000
  fc000000: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000010: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000020: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000030: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000040: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000050: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000060: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000070: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000080: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000090: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000a0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000b0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000c0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000d0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000e0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000f0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  => mw 200000 ffffffff 100
  => cp.b 200000 fc000000 100
  Copy to Flash... done
  => md fc000000
  fc000000: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000010: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000020: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000030: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000040: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000050: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000060: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000070: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000080: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc000090: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000a0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000b0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000c0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000d0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000e0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU
  fc0000f0: 55555555 55555555 55555555 55555555    UUUUUUUUUUUUUUUU

So the write did indeed *not proceed* correctly without the expected
"flash not erased" error message appearing.

The behaviour is not consistent, so either we should do verification
of the write or we should have some kind of warning here.  Does anyone
see an easy way to become consistent here?

Thanks
  Detlev

-- 
Emacs seems a more likely candidate  to contain a mail system than the
mail system to contain an Emacs, so this is the way it was done.
                                            -- Bernard S. Greenberg
--
DENX Software Engineering GmbH, HRB 165235 Munich, CEO: Wolfgang Denk
Office: Kirchenstr. 5, D-82194 Groebenzell, Germany +49 8142 66989 40

------------------------------

Message: 5
Date: Wed, 09 May 2007 17:31:47 +0100
From: Alex Zeffertt <[email-masked]>
Subject: Re: [U-Boot-Users] MPC832xEMDS: ttyS0 output stops mid boot
Cc: [email-masked], [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi,

For the record, I've just merged powerpc.git from kernel.org and it has started
working now!  Clearly this means it was a kernel issue rather than a bootloader
issue.

Regards,

Alex

Alex Zeffertt wrote:
> Hi,
> 
> Sorry about the cross posting, but I'm not sure which list I should send 
> to....
> 
> I'm trying to boot an up-to-date kernel on my MPC8323E-MDS-PB board, but 
> I the
> console output stops early on during the kernel boot.
> 
> I'm running the latest u-boot (git://www.denx.de/git/u-boot-mpc83xx.git) 
> with
> its default environment.  The kernel is built from Paulus' powerpc.git, 
> after
> checking out tag 2.6.21-rc5.  The dtb is build from
> arch/powerpc/boot/dts/mpc832x_mds.dts
> with the latest compiler (git://www.jdl.com/software/dtc.git).
> 
> Has anyone else been here before...?  If so I'd appreciate any help you can
> offer.
> 
> TIA,
> 
> Alex
> 
> -------------------my ttyS0 output------------------
> =>
> => printenv
> bootcmd=setenv bootargs root=/dev/nfs rw nfsroot=$serverip:$rootpath
> ip=$ipaddr:$serverip:$gatewayip:$netmask:$hostname:$netdev:off
> console=$consoledev,$baudrate $othbootargs;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr - $fdtaddr
> ramboot=setenv bootargs root=/dev/ram rw console=$consoledev,$baudrate
> $othbootargs;tftp $ramdiskaddr $ramdiskfile;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr $ramdiskaddr $fdtaddr
> nfsboot=setenv bootargs root=/dev/nfs rw nfsroot=$serverip:$rootpath
> ip=$ipaddr:$serverip:$gatewayip:$netmask:$hostname:$netdev:off
> console=$consoledev,$baudrate $othbootargs;tftp $loadaddr
> $bootfile;tftp $fdtaddr $fdtfile;bootm $loadaddr - $fdtaddr
> bootdelay=6
> baudrate=115200
> loads_echo=1
> ethaddr=00:04:9f:ef:03:01
> eth1addr=00:04:9f:ef:03:02
> loadaddr=200000
> netdev=eth0
> consoledev=ttyS0
> ramdiskaddr=1000000
> ramdiskfile=ramfs.83xx
> fdtaddr=400000
> fdtfile=mpc832xemds.dtb
> stdin=serial
> stdout=serial
> stderr=serial
> ethact=FSL UEC0
> 
> Environment size: 979/8188 bytes
> => setenv ramdiskfile uRamdisk
> => setenv fdtfile mpc832x_mds.dtb
> => setenv bootfile uImage
> => setenv serverip 10.0.0.107
> => setenv ipaddr 10.0.6.65
> => run ramboot
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'uRamdisk'.
> Load address: 0x1000000
> Loading: #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         ###########################################################
> done
> Bytes transferred = 3296770 (324e02 hex)
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'uImage'.
> Load address: 0x200000
> Loading: #################################################################
>         #################################################################
>         #################################################################
>         ##########################################
> done
> Bytes transferred = 1212615 (1280c7 hex)
> Using FSL UEC0 device
> TFTP from server 10.0.0.107; our IP address is 10.0.6.65
> Filename 'mpc832x_mds.dtb'.
> Load address: 0x400000
> Loading: ###
> done
> Bytes transferred = 12288 (3000 hex)
> ## Booting image at 00200000 ...
>   Image Name:   Linux-2.6.21-rc5
>   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>   Data Size:    1212551 Bytes =  1.2 MB
>   Load Address: 00000000
>   Entry Point:  00000000
>   Verifying Checksum ... OK
>   Uncompressing Kernel Image ... OK
> ## Loading RAMDisk Image at 01000000 ...
>   Image Name:   uboot ext2 ramdisk rootfs
>   Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
>   Data Size:    3296706 Bytes =  3.1 MB
>   Load Address: 00000000
>   Entry Point:  00000000
>   Verifying Checksum ... OK
>   Booting using flat device tree at 0x400000
>   Loading Ramdisk to 07c87000, end 07fabdc2 ... OK
> Using MPC832x MDS machine description
> Linux version 2.6.21-rc5 (ajz@zambia) (gcc version 3.4.3) #2 Thu May 3
> 16:42:54 BST 2007
> Found initrd at 0xc7c87000:0xc7fabdc2
> setup_arch: bootmem
> mpc832x_sys_setup_arch()
> Found MPC83xx PCI host bridge at 0x00000000e0008500. Firmware bus 
> number: 0->0
> arch: exit
> Zone PFN ranges:
>  DMA             0 ->    32768
>  Normal      32768 ->    32768
> early_node_map[1] active PFN ranges
>    0:        0 ->    32768
> Built 1 zonelists.  Total pages: 32512
> Kernel command line: root=/dev/ram rw console=ttyS0,115200
> IPIC (128 IRQ sources) at fddf3700
> QEIC (64 IRQ sources) at fddf2080
> PID hash table entries: 512 (order: 9, 2048 bytes)

------------------------------

Message: 6
Date: Wed, 9 May 2007 14:00:12 -0500
From: "Andy Fleming" <[email-masked]>
Subject: [U-Boot-Users] [PATCH] Add support for CPM device tree
	configuration to 8560 ADS
To: "U-Boot Users List" <[email-masked]>,
	[email-masked]
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

* Adds code to modify CPM frequencies
* Cleans up the config file to #define TSEC and (for now) #undef FCC
* Adds the MII command for all 8560 ADS configurations
* Updates config file to provide convenience commands for booting
  with a device tree

Signed-off-by: Vitaly Bordug <[email-masked]>
Signed-off-by: Andy Fleming <[email-masked]>
---
This makes the 8560 ADS boot for me.  It doesn't do anything about large
ramdisks, though.  I'm still looking into that.

 board/mpc8560ads/mpc8560ads.c |   26 ++++++++++++++++++++++++++
 include/configs/MPC8560ADS.h  |   32 +++++++++++++++++++++-----------
 2 files changed, 47 insertions(+), 11 deletions(-)

diff --git a/board/mpc8560ads/mpc8560ads.c b/board/mpc8560ads/mpc8560ads.c
index d19bad6..41acb97 100644
--- a/board/mpc8560ads/mpc8560ads.c
+++ b/board/mpc8560ads/mpc8560ads.c
@@ -550,8 +550,34 @@ pci_init_board(void)

 #if defined(CONFIG_OF_FLAT_TREE) && defined(CONFIG_OF_BOARD_SETUP)
 void
+ft_soc_setup(void *blob, bd_t *bd)
+{
+       u32 *p;
+       int len;
+       ulong data;
+
+       p = ft_get_prop(blob, "/" OF_SOC "/cpm@e0000000/brg-frequency", &len);
+
+       if (p != NULL)
+               *p = cpu_to_be32(bd->bi_brgfreq);
+
+       p = ft_get_prop(blob,
+                       "/" OF_SOC "/cpm@e0000000/scc@91a00/current-speed",
+                       &len);
+       if (p != NULL)
+               *p = cpu_to_be32(bd->bi_baudrate);
+
+       p = ft_get_prop(blob,
+                       "/" OF_SOC "/cpm@e0000000/scc@91a20/current-speed",
+                       &len);
+       if (p != NULL)
+               *p = cpu_to_be32(bd->bi_baudrate);
+}
+
+void
 ft_board_setup(void *blob, bd_t *bd)
 {
        ft_cpu_setup(blob, bd);
+       ft_soc_setup(blob, bd);
 }
 #endif
diff --git a/include/configs/MPC8560ADS.h b/include/configs/MPC8560ADS.h
index 21e6637..f16e39d 100644
--- a/include/configs/MPC8560ADS.h
+++ b/include/configs/MPC8560ADS.h
@@ -43,9 +43,7 @@

 #define CONFIG_PCI
 #define CONFIG_TSEC_ENET               /* tsec ethernet support */
-#undef CONFIG_TSEC_ENET                /* tsec ethernet support */
-#undef  CONFIG_ETHER_ON_FCC             /* cpm FCC ethernet support */
-#define  CONFIG_ETHER_ON_FCC             /* cpm FCC ethernet support */
+#undef CONFIG_ETHER_ON_FCC             /* cpm FCC ethernet support */
 #define CONFIG_ENV_OVERWRITE
 #define CONFIG_SPD_EEPROM              /* Use SPD EEPROM for DDR setup*/
 #define CONFIG_DDR_DLL                 /* possible DLL fix needed */
@@ -349,13 +347,16 @@
 #endif /* CONFIG_PCI */

-#if defined(CONFIG_TSEC_ENET)
+#ifdef CONFIG_TSEC_ENET

 #ifndef CONFIG_NET_MULTI
 #define CONFIG_NET_MULTI       1
 #endif

+#ifndef CONFIG_MII
 #define CONFIG_MII             1       /* MII PHY management */
+#endif
+
 #define CONFIG_MPC85XX_TSEC1   1
 #define CONFIG_MPC85XX_TSEC1_NAME      "TSEC0"
 #define CONFIG_MPC85XX_TSEC2   1
@@ -369,9 +370,10 @@
 /* Options are: TSEC[0-1] */
 #define CONFIG_ETHPRIME                "TSEC0"

-#elif defined(CONFIG_ETHER_ON_FCC)     /* CPM FCC Ethernet */
+#endif /* CONFIG_TSEC_ENET */
+
+#ifdef CONFIG_ETHER_ON_FCC     /* CPM FCC Ethernet */

-#define CONFIG_ETHER_ON_FCC    /* define if ether on FCC   */
 #undef  CONFIG_ETHER_NONE      /* define if ether on something else */
 #define CONFIG_ETHER_INDEX      2       /* which channel for ether */

@@ -392,7 +394,10 @@
   #define FETH3_RST            0x80
 #endif                                 /* CONFIG_ETHER_INDEX */

-#define CONFIG_MII                     /* MII PHY management */
+#ifndef CONFIG_MII
+#define CONFIG_MII             1       /* MII PHY management */
+#endif
+
 #define CONFIG_BITBANGMII              /* bit-bang MII PHY management */

 /*
@@ -458,11 +463,13 @@
     #define  CONFIG_COMMANDS   (CONFIG_CMD_DFL         \
                                | CFG_CMD_PCI           \
                                | CFG_CMD_PING          \
+                               | CFG_CMD_MII           \
                                | CFG_CMD_I2C)
   #elif defined(CONFIG_TSEC_ENET)
     #define  CONFIG_COMMANDS   (CONFIG_CMD_DFL         \
                                | CFG_CMD_PING          \
-                               | CFG_CMD_I2C)
+                               | CFG_CMD_I2C           \
+                               | CFG_CMD_MII)
   #elif defined(CONFIG_ETHER_ON_FCC)
     #define  CONFIG_COMMANDS   (CONFIG_CMD_DFL         \
                                | CFG_CMD_MII           \
@@ -554,8 +561,10 @@
 #define        CONFIG_EXTRA_ENV_SETTINGS
         \
    "netdev=eth0\0"                                                      \
    "consoledev=ttyS0\0"                                                 \
-   "ramdiskaddr=400000\0"                                              \
-   "ramdiskfile=your.ramdisk.u-boot\0"
+   "ramdiskaddr=600000\0"                                              \
+   "ramdiskfile=your.ramdisk.u-boot\0"                                 \
+   "fdtaddr=400000\0"                                                  \
+   "fdtfile=mpc8560ads.dtb\0"

 #define CONFIG_NFSBOOTCOMMAND                                          \
    "setenv bootargs root=/dev/nfs rw "                                  \
@@ -563,7 +572,8 @@
       "ip=$ipaddr:$serverip:$gatewayip:$netmask:$hostname:$netdev:off " \
       "console=$consoledev,$baudrate $othbootargs;"                     \
    "tftp $loadaddr $bootfile;"                                          \
-   "bootm $loadaddr"
+   "tftp $fdtaddr $fdtfile;"                                           \
+   "bootm $loadaddr - $fdtaddr"

 #define CONFIG_RAMBOOTCOMMAND \
    "setenv bootargs root=/dev/ram rw "                                  \
--
1.5.0.2.230.gfbe3d-dirty

------------------------------

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/

------------------------------

_______________________________________________
U-Boot-Users mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/u-boot-users

End of U-Boot-Users Digest, Vol 12, Issue 34
********************************************